<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

    <!-- bootstrap & jquery -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Real Estate Add</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown mr-3">
                    <a class="nav-link" data-toggle="dropdown" href="#"><i class="fa-solid fa-user-large"></i></a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header" id="user-info"></span>
                        <div class="dropdown-divider"></div>
                        <div class="text-center mt-2">
                            <button class="btn btn-danger" id="btn-log-out"><i
                                    class="fa-solid fa-right-from-bracket"></i> Log out</button>
                        </div>
                    </div>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->


        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="addressMap.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">ADMIN Real Estates</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="info text-white ml-2" id="username-info"></div>
                </div>
                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class with font-awesome or any other icon font library -->
                        <li class="nav-item">
                            <a href="./addressMap.html" class="nav-link ">
                                <i class="fa-solid fa-map-location-dot"></i>
                                <p>
                                    Địa chỉ tọa độ
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./masterLayout.html" class="nav-link ">
                                <i class="fa-solid fa-layer-group"></i>
                                <p>
                                    Mặt bằng tầng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./constructionContractor.html" class="nav-link ">
                                <i class="fa-solid fa-person-digging"></i>
                                <p>
                                    Nhà thầu xây dựng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./designUnit.html" class="nav-link ">
                                <i class="fa-solid fa-compass-drafting"></i>
                                <p>
                                    Đơn vị thiết kế
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./investor.html" class="nav-link ">
                                <i class="fa-solid fa-user-tie"></i>
                                <p>
                                    Nhà đầu tư
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./regionLink.html" class="nav-link">
                                <i class="fa-solid fa-map"></i>
                                <p>
                                    Kết nối vùng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./utilities.html" class="nav-link">
                                <i class="fa-solid fa-person-swimming"></i>
                                <p>
                                    Tiện ích
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./customers.html" class="nav-link ">
                                <i class="fa-solid fa-users-line"></i>
                                <p>
                                    Khách hàng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./advise.html" class="nav-link">
                                <i class="fa-solid fa-comment-medical"></i>
                                <p>
                                    Thông tin KH cần tư vấn
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./employees.html" class="nav-link ">
                                <i class="fa-solid fa-user"></i>
                                <p>
                                    Người dùng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./project.html" class="nav-link ">
                                <i class="fa-solid fa-hotel"></i>
                                <p>
                                    Dự án xây dựng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./realestate.html" class="nav-link">
                                <i class="fa-solid fa-city"></i>
                                <p>
                                    Thông tin BĐS
                                </p>
                            </a>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link">
                                <i class="fa-solid fa-bars"></i>
                                <p>
                                    Địa chính
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="./province.html" class="nav-link ">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Tỉnh thành</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./district.html" class="nav-link ">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Quận huyện</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./ward.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Phường xã</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./street.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Đường</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a href="./subscription.html" class="nav-link">
                                <i class="fa-solid fa-bell"></i>
                                <p>
                                    Subscription
                                </p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Real Estate Add</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->
            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <h2 class="text-center mb-5">Tạo mới thông tin BĐS</h2>
                    <h5 class="text-center mb-5">Thông tin chi tiết</h5>
                    <div class="row">
                        <div class="col-sm-6 form-group border-right">
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Tiêu đề tin</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-title" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Tỉnh thành<i class="text-danger">*</i></label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-province" class="form-control">
                                        <option value="0" hidden>--Tên tỉnh thành--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Quận Huyện<i class="text-danger">*</i></label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-district" class="form-control" disabled>
                                        <option value="0" hidden>--Tên quận huyện--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Dự án xây dựng</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-project" class="form-control">
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Loại tin</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-type" class="form-control">
                                        <option value="0">Đất</option>
                                        <option value="1">Nhà ở</option>
                                        <option value="2">Căn hộ/ Chung cư</option>
                                        <option value="3">Văn phòng, mặt bằng</option>
                                        <option value="4">Kinh doanh</option>
                                        <option value="5">Phòng trọ</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Giá đăng</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-price" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Giá tối thiểu</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-priceMin" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Thời gian bán</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-priceTime" type="number" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 form-group">
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Địa chỉ <i class="text-danger">*</i></label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-address" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Phường Xã</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-ward" class="form-control" disabled>
                                        <option value="0" hidden>--Tên Phường Xã--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Đường phố</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-street" class="form-control" disabled>
                                        <option value="0" hidden>--Tên Đường phố--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Khách hàng</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-customer" class="form-control">
                                        <option value="0" hidden>--Customer--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Nhân viên <i class="text-danger">*</i></label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-employee" class="form-control">
                                        <option value="0" hidden>--Employee--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Nhu cầu</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <select id="create-select-request" class="form-control">
                                        <option value="0">Cần bán</option>
                                        <option value="2">Cần mua</option>
                                        <option value="3">Cho thuê</option>
                                        <option value="4">Cần thuê</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Giá cho thuê</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-priceRent" type="number" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>

                    <h5 class="text-center mb-5">Thông số kỹ thuật 1</h5>
                    <div class="row">
                        <div class="col-sm-6 form-group border-right">
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Diện tích BĐS</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-acreage" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Hướng nhà</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-direction" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Tổng số tầng</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-totalFloors" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Tầng số</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-numberFloors" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Diện tích tim tường</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-wallArea" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Vị trí căn hộ</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-apartLoca" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Loại nội thất</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-furnitureType" type="number" class="form-control">
                                </div>
                            </div>

                        </div>
                        <div class="col-sm-6 form-group">
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Mã căn hộ</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-apartCode" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Số nhà vệ sinh</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-bath" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Số phòng ngủ</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-bedroom" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Ban công</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-balcony" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Hướng cảnh quan</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-landscapeView" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Loại căn hộ</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-apartType" type="number" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>

                    <h5 class="text-center mb-5">Thông số kỹ thuật 2</h5>
                    <div class="row">
                        <div class="col-sm-6 form-group border-right">
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Tỉ suất sinh lời</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-returnRate" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Giấy tờ pháp lý</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-legalDoc" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Chiều rộng</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-widthY" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Chiều dài</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-longX" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>FSBO</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-fsbo" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Cập nhật bởi</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-updateBy" type="number" class="form-control">
                                </div>
                            </div>

                        </div>
                        <div class="col-sm-6 form-group">
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Mô tả chi tiết</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-description" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Street House</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-streetHouse" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Số lượt xem</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-viewNum" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Hình dáng nhà</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-shape" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Khoảng cách ra mặt tiền</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-distance2facade" type="number" class="form-control">
                                </div>
                            </div>


                        </div>
                    </div>

                    <h5 class="text-center mb-5">Thông số kỹ thuật 3</h5>
                    <div class="row">
                        <div class="col-sm-6 form-group border-right">
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Số mặt tiền tiếp giáp</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-adjacent_facade_num" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Độ rộng hẻm nhỏ nhất</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-alley_min_width" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Độ rộng hẻm tiếp giáp</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-adjacent_alley_min_width" type="number"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>DTSXD</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-dtsxd" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>CLCL</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-clcl" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>CTXD_price</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-ctxd_price" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>CTXD_value</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-ctxd_value" type="number" class="form-control">
                                </div>
                            </div>

                        </div>
                        <div class="col-sm-6 form-group">
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Đường tiếp giáp bê tông</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-adjacentRoad" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Yếu tố khác</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-factor" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Kết cấu</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-structure" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Kinh độ</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-lng" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Vĩ độ</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-lat" type="number" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Ảnh</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <form>
                                        <input type="file" id="create-input-photo" name="filename">
                                    </form>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="form-group text-center">
                        <button class="btn btn-primary" id="btn-create-confirm">Confirm</button>
                        <button class="btn btn-secondary" id="btn-create-cancel">Cancel</button>
                    </div>
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->


        </div>
    </div>

    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>

    <script>
        $(document).ready(function () {

            const token = getCookie("token");
            /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

            /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
            onPageLoading();

            //Set sự kiện cho nút logout
            $("#btn-log-out").on("click", function () {
                redirectToLogin();
            });

            $("#btn-create-cancel").on("click", function () {
                window.location.href = "realestate.html"
            });

            $("#btn-create-confirm").on("click", function () {
                onBtnCreateConfirmClick();
            })

            // gán xự kiện khi ô select thay đổi
            $("#create-select-province").on("change", function () {
                $("#create-select-district").html("");
                var bProvinceId = $(this).val();
                callApiGetDistrictByProvinceId(bProvinceId);
            });

            // gán xự kiện khi ô select thay đổi
            $("#create-select-district").on("change", function () {
                $("#create-select-ward").html("");
                $("#create-select-street").html("");
                var bDistrictId = $(this).val();
                callApiGetWardByDistrictId(bDistrictId);
                callApiGetStreetByDistrictId(bDistrictId);
            });


            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            function onPageLoading() {
                "use strict";
                callApiGetUserIdByToken();
                callApiGetAllCustomer();
                callApiGetAllProject();
                callApiGetAllProvince();
                callApiGetAllEmployees();

            }

            // Hàm xử lý khi nút xác nhận tạo mới Real estate được nhấn
            function onBtnCreateConfirmClick() {
                "use strict";
                var vCreateData = {
                    title: "",
                    type: "",
                    request: "",
                    address: "",
                    price: "",
                    priceMin: "",
                    priceTime: "",
                    acreage: "",
                    direction: "",
                    totalFloors: "",
                    numberFloors: "",
                    bath: "",
                    apartCode: "",
                    wallArea: "",
                    bedroom: "",
                    balcony: "",
                    landscapeView: "",
                    apartLoca: "",
                    apartType: "",
                    furnitureType: "",
                    priceRent: "",
                    returnRate: "",
                    legalDoc: "",
                    description: "",
                    widthY: "",
                    longX: "",
                    streetHouse: "",
                    fsbo: "",
                    viewNum: "",
                    updateBy: "",
                    shape: "",
                    distance2facade: "",
                    adjacent_facade_num: "",
                    adjacentRoad: "",
                    alley_min_width: "",
                    adjacent_alley_min_width: "",
                    factor: "",
                    structure: "",
                    dtsxd: "",
                    clcl: "",
                    ctxd_price: "",
                    ctxd_value: "",
                    photo: "",
                    lat: "",
                    lng: "",
                }
                // B1: Thu thập dữ liệu
                var vProvinceValue = $("#create-select-province").val();
                var vDistrictValue = $("#create-select-district").val();
                var vWardValue = $("#create-select-ward").val();
                var vStreetValue = $("#create-select-street").val();
                var vCustomerValue = $("#create-select-customer").val();
                var vProjectValue = $("#create-select-project").val();
                var vEmployeeValue = $("#create-select-employee").val();
                getCreateData(vCreateData);
                // B2: Kiểm tra dữ liệu
                var isValidate = validateCreateData(vCreateData, vEmployeeValue);
                if (isValidate == true) {
                    // B3: xử lý hiển thị dữ liệu
                    callApiCreateRealEstate(vCreateData, vProvinceValue, vDistrictValue, vWardValue, vStreetValue, vCustomerValue, vProjectValue, vEmployeeValue);
                }
            }

            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */

            function callApiGetUserIdByToken() {
                $.ajax({
                    url: "http://localhost:8080/findUserId/Token",
                    type: 'GET',
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    headers: {
                        "Authorization": "Token " + token,
                    },
                    success: function (responseObject) {
                        //console.log(responseObject);
                        callApiGetEmployeeByID(responseObject);
                    },
                    error: function (pAjaxContext) {
                        //redirectToLogin();
                    }
                });
            }

            // Hàm gọi api lấy dữ liệu employee bằng id
            function callApiGetEmployeeByID(paramEmployeeId) {
                $.ajax({
                    url: "http://localhost:8080/employees/" + paramEmployeeId,
                    method: "GET",
                    async: false,
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        handlerUserDataResponse(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            function handlerUserDataResponse(paramUserData) {
                $("#username-info").html(paramUserData.username);
                $("#user-info").html(paramUserData.username);
            }

            // call api tạo mới thông tin BDS
            function callApiCreateRealEstate(paramCreateData, paramProvince, paramDistrict, paramWard, paramStreet, paramCustomer, paramProject, paramEmployee) {
                $.ajax({
                    url: "http://localhost:8080/realEstates/" + paramProvince + "/" + paramDistrict + "/" + paramWard + "/" + paramStreet + "/" + paramProject + "/" + paramCustomer + "/" + paramEmployee,
                    method: "POST",
                    async: false,
                    contentType: "application/json;charset=UTF-8",
                    data: JSON.stringify(paramCreateData),
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        alert("Tạo mới Real Estate thành công. Real Estate có ID: " + paramResponseObj.id);
                        window.location.href = "realestate.html";
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Tạo mới Real Estate không thành công.");
                    }
                });
            }

            // Hàm gọi api lấy tất cả customer
            function callApiGetAllCustomer() {
                $.ajax({
                    url: "http://localhost:8080/customers",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToCustomerSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm gọi api lấy tất cả employee
            function callApiGetAllEmployees() {
                $.ajax({
                    url: "http://localhost:8080/employees",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToEmployeeSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm gọi api lấy tất cả project
            function callApiGetAllProject() {
                $.ajax({
                    url: "http://localhost:8080/projects",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToProjectSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm gọi api tất cả tỉnh thành
            function callApiGetAllProvince() {
                $.ajax({
                    url: "http://localhost:8080/provinces",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToProvinceSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm xử lý gọi api lấy dữ liệu district bằng province id
            function callApiGetDistrictByProvinceId(paramProvinceId) {
                "use strict";
                $.ajax({
                    url: "http://localhost:8080/districts/province/" + paramProvinceId,
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToDistrictSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm xử lý gọi api lấy dữ liệu ward bằng district id
            function callApiGetWardByDistrictId(paramDistrictId) {
                "use strict";
                $.ajax({
                    url: "http://localhost:8080/wards/district/" + paramDistrictId,
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToWardSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm xử lý gọi api lấy dữ liệu street bằng distirct id
            function callApiGetStreetByDistrictId(paramDistrictId) {
                "use strict";
                $.ajax({
                    url: "http://localhost:8080/streets/district/" + paramDistrictId,
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToStreetSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Load dữ liệu vào ô select customer
            function loadDataToCustomerSelect(paramResponse) {
                "use strict";
                var vCreateCustomerSelect = $("#create-select-customer");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].id);
                    bOption.prop("text", paramResponse[i].contactName);
                    vCreateCustomerSelect.append(bOption);
                };
            }

            // Load dữ liệu vào ô select employee
            function loadDataToEmployeeSelect(paramResponse) {
                "use strict";
                var vCreateEmployeeSelect = $("#create-select-employee");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].employeeID);
                    bOption.prop("text", paramResponse[i].firstName + " " + paramResponse[i].lastName);
                    vCreateEmployeeSelect.append(bOption);
                };
            }

            // Load dữ liệu vào ô select project
            function loadDataToProjectSelect(paramResponse) {
                "use strict";
                var vCreateProjectSelect = $("#create-select-project");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].id);
                    bOption.prop("text", paramResponse[i].name);
                    vCreateProjectSelect.append(bOption);
                };
            }

            // Load dữ liệu vào ô select province
            function loadDataToProvinceSelect(paramResponse) {
                "use strict";
                var vModalProvinceSelect = $("#create-select-province");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bProvinceOption = $("<option/>");
                    bProvinceOption.prop("value", paramResponse[i].id);
                    bProvinceOption.prop("text", paramResponse[i].name);
                    vModalProvinceSelect.append(bProvinceOption);
                };
            }

            // Load dữ liệu phản hồi vào ô select district
            function loadDataToDistrictSelect(paramResDistrictList) {
                "use strict";
                var vDistrictSelectElement = $("#create-select-district");
                if (paramResDistrictList.length > 0) {
                    vDistrictSelectElement.prop("disabled", false);

                    for (let i = 0; i < paramResDistrictList.length; i++) {
                        var bDistrictOption = $("<option/>");
                        bDistrictOption.prop("value", paramResDistrictList[i].id);
                        bDistrictOption.prop("text", paramResDistrictList[i].name);
                        vDistrictSelectElement.append(bDistrictOption);
                    };
                } else {
                    vDistrictSelectElement.prop("disabled", true);
                }
            }

            // Load dữ liệu phản hồi vào ô select ward
            function loadDataToWardSelect(paramResDistrictList) {
                "use strict";
                var vWardSelectElement = $("#create-select-ward");
                if (paramResDistrictList.length > 0) {
                    vWardSelectElement.prop("disabled", false);

                    for (let i = 0; i < paramResDistrictList.length; i++) {
                        var bDistrictOption = $("<option/>");
                        bDistrictOption.prop("value", paramResDistrictList[i].id);
                        bDistrictOption.prop("text", paramResDistrictList[i].name);
                        vWardSelectElement.append(bDistrictOption);
                    };
                } else {
                    vWardSelectElement.prop("disabled", true);
                }
            }

            // Load dữ liệu phản hồi vào ô select street
            function loadDataToStreetSelect(paramResDistrictList) {
                "use strict";
                var vStreetSelectElement = $("#create-select-street");
                if (paramResDistrictList.length > 0) {
                    vStreetSelectElement.prop("disabled", false);

                    for (let i = 0; i < paramResDistrictList.length; i++) {
                        var bDistrictOption = $("<option/>");
                        bDistrictOption.prop("value", paramResDistrictList[i].id);
                        bDistrictOption.prop("text", paramResDistrictList[i].name);
                        vStreetSelectElement.append(bDistrictOption);
                    };
                } else {
                    vStreetSelectElement.prop("disabled", true);
                }
            }

            function getCreateData(paramCreateData) {
                paramCreateData.title = $("#create-input-title").val().trim();
                paramCreateData.type = $("#create-select-type").val();
                paramCreateData.request = $("#create-select-request").val().trim();
                paramCreateData.address = $("#create-input-address").val().trim();
                paramCreateData.price = $("#create-input-price").val().trim();
                paramCreateData.priceMin = $("#create-input-priceMin").val().trim();
                paramCreateData.priceTime = $("#create-input-priceTime").val().trim();
                paramCreateData.acreage = $("#create-input-acreage").val().trim();
                paramCreateData.direction = $("#create-input-direction").val().trim();
                paramCreateData.totalFloors = $("#create-input-totalFloors").val().trim();

                paramCreateData.numberFloors = $("#create-input-numberFloors").val().trim();
                paramCreateData.bath = $("#create-input-bath").val().trim();
                paramCreateData.apartCode = $("#create-input-apartCode").val().trim();
                paramCreateData.wallArea = $("#create-input-wallArea").val().trim();
                paramCreateData.bedroom = $("#create-input-bedroom").val().trim();
                paramCreateData.balcony = $("#create-input-balcony").val().trim();
                paramCreateData.landscapeView = $("#create-input-landscapeView").val().trim();
                paramCreateData.apartLoca = $("#create-input-apartLoca").val().trim();
                paramCreateData.apartType = $("#create-input-apartType").val().trim();
                paramCreateData.furnitureType = $("#create-input-furnitureType").val().trim();
                paramCreateData.priceRent = $("#create-input-priceRent").val().trim();

                paramCreateData.returnRate = $("#create-input-returnRate").val().trim();
                paramCreateData.legalDoc = $("#create-input-legalDoc").val().trim();
                paramCreateData.description = $("#create-input-description").val().trim();
                paramCreateData.widthY = $("#create-input-widthY").val().trim();
                paramCreateData.longX = $("#create-input-longX").val().trim();
                paramCreateData.streetHouse = $("#create-input-streetHouse").val().trim();
                paramCreateData.fsbo = $("#create-input-fsbo").val().trim();
                paramCreateData.viewNum = $("#create-input-viewNum").val().trim();
                paramCreateData.updateBy = $("#create-input-updateBy").val().trim();

                paramCreateData.shape = $("#create-input-shape").val().trim();
                paramCreateData.distance2facade = $("#create-input-distance2facade").val().trim();
                paramCreateData.adjacent_facade_num = $("#create-input-adjacent_facade_num").val().trim();
                paramCreateData.adjacentRoad = $("#create-input-adjacentRoad").val().trim();
                paramCreateData.alley_min_width = $("#create-input-alley_min_width").val().trim();
                paramCreateData.adjacent_alley_min_width = $("#create-input-adjacent_alley_min_width").val().trim();
                paramCreateData.factor = $("#create-input-factor").val().trim();
                paramCreateData.structure = $("#create-input-structure").val().trim();
                paramCreateData.dtsxd = $("#create-input-dtsxd").val().trim();
                paramCreateData.clcl = $("#create-input-clcl").val().trim();
                paramCreateData.ctxd_price = $("#create-input-ctxd_price").val().trim();

                paramCreateData.ctxd_value = $("#create-input-ctxd_value").val().trim();
                let textImg = $("#create-input-photo").val();
                paramCreateData.photo = "images/projects/" + textImg.substring(textImg.lastIndexOf("\\") + 1, textImg.length);
                paramCreateData.lat = $("#create-input-lat").val().trim();
                paramCreateData.lng = $("#create-input-lng").val().trim();
            }

            function validateCreateData(paramCreateData, paramEmployee) {
                "use strict";
                if (paramCreateData.address == "") {
                    alertError("Address không được để trống");
                    return false;
                }
                if (paramEmployee == 0) {
                    alertError("Nhân viên phải được chọn.");
                    return false;
                }
                return true;
            }

            function redirectToLogin() {
                // Trước khi logout cần xóa token đã lưu trong cookie
                setCookie("token", "", 1);
                window.location.href = "index.html";
            }

            //Hàm get Cookie
            function getCookie(cname) {
                var name = cname + "=";
                var decodedCookie = decodeURIComponent(document.cookie);
                var ca = decodedCookie.split(';');
                for (var i = 0; i < ca.length; i++) {
                    var c = ca[i];
                    while (c.charAt(0) == ' ') {
                        c = c.substring(1);
                    }
                    if (c.indexOf(name) == 0) {
                        return c.substring(name.length, c.length);
                    }
                }
                return "";
            }

            //Hàm setCookie đã giới thiệu ở bài trước
            function setCookie(cname, cvalue, exdays) {
                var d = new Date();
                d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
                var expires = "expires=" + d.toUTCString();
                document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
            }

            // Hàm alert lỗi
            function alertError(paramTitle) {
                "use strict";
                $(function () {
                    var Toast = Swal.mixin({
                        toast: false,
                        position: 'top',
                        showConfirmButton: false,
                        timer: 3500
                    });
                    Toast.fire({
                        icon: 'error',
                        title: paramTitle,
                    })
                });
            }
        // Hàm alert success
        function alertSuccess(paramTitle) {
        "use strict";
        $(function () {
            var Toast = Swal.mixin({
                toast: false,
                position: 'top',
                showConfirmButton: false,
                timer: 3500
            });
            Toast.fire({
                icon: 'success',
                title: paramTitle,
            })
        });
    }


        });
    </script>
</body>